Package org.eclipse.cdt.core.dom

## Interface IPDOMVisitor

    public interface IPDOMVisitor

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `leave​(IPDOMNode node)` All children have been visited, about to go back to the parent.
`boolean` `visit​(IPDOMNode node)` Walks the nodes in a PDOM.

### Method Detail

#### visit

    boolean visit​(IPDOMNode node)
           throws org.eclipse.core.runtime.CoreException

Walks the nodes in a PDOM. Returns true to visit the children of the node, or false to skip to the next sibling of this node. Throw CoreException to stop the visit.

Parameters:
  `node` - being visited
Returns:
  whether to visit children
Throws:
  `org.eclipse.core.runtime.CoreException`

#### leave

    void leave​(IPDOMNode node)
        throws org.eclipse.core.runtime.CoreException

All children have been visited, about to go back to the parent.

Parameters:
  `node` - that has just completed visitation
Throws:
  `org.eclipse.core.runtime.CoreException`